Gönderen Konu: LAMP kurarken php seçimi ?  (Okunma sayısı 133 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı TosunPASA

  • Yeni Üye
  • *
  • İleti: 23
  • Teşekkür: +1/-0
  • Masaüstü: Diğer
LAMP kurarken php seçimi ?
« : 27 Temmuz 2018, 08:44:49 »
merhaba
archman üzerine php kurup eğitimleri denemek istiyorum
xampp kullanmak istemedim.
ama kullanmak istediğim php 5.2.9

bu tür eski versiyon kurmak.. sonra yenisine güncelletmek.. ihtiyaç olduğunda tekrar eski php ye dönmek gibi çetrefilli yok izlemek mümkün mü ve nasıl ?

Çevrimdışı friday13

  • Yeni Üye
  • *
  • İleti: 5
  • Teşekkür: +1/-0
  • Masaüstü: XFCE
  • Ekran Kartı: ATI
  • Ekr. Kartı Sür.: Sahipli yazılım
Ynt: LAMP kurarken php seçimi ?
« Yanıtla #1 : 01 Ağustos 2018, 03:00:32 »
Versiyon değiştirecem süreli farklı farklı sürümlerde çalışmak istiyorum diyorsan docker öğreneceksin
Yok güncel php kullanmak istiyorum diyorsan https://medium.com/@yuceltoluyag/arch-linux-lampp-kurulumu-php7x-mariadb-mysql-phpmyadmin-980ee2e896f1?source=user_profile---------4------------------

Çevrimdışı TosunPASA

  • Yeni Üye
  • *
  • İleti: 23
  • Teşekkür: +1/-0
  • Masaüstü: Diğer
Ynt: LAMP kurarken php seçimi ?
« Yanıtla #2 : 04 Ağustos 2018, 11:45:31 »
linkdeki anlatımları daha sonra bakacağım

extra bir sorum olsa...
son versiyon xampp yükleyip, opensource ve mysql connection olan programları çalıştırmak istediğimizde mysqli ve pdo kullanın mesajı çıkıyor ve program aktif olarak gözükmüyor mesajdan.. ancak girip sayfalara hata mesajlarını gösterme gibi kodlar ekleyince mysql bağlantılı programcıklar çalışıyor ama bazen her sayfaya eklemek gerekiyor

xampp gibi programlarda bağlantı türü ne olursa olsun bu uyarı mesajı çıkmasın ama her türlü error a da mani olmasın ....nasıl yapabiliriz ?

ikinci bir extra soru...
her coder ın becerisi ile değişir ama mysql/mysql/pdo arasında güvenlik ve livesearch olarak hız değerlendirmesi yapmak istersek ?

teşekkür ederim yardımın için